_N() has a conflict in Solaris

diff --git a/src/internal.h b/src/internal.h
--- a/src/internal.h
+++ b/src/internal.h
@@ -23,7 +23,7 @@ extern "C" {
 #endif
 
 #define _(str) dgettext(GETTEXT_PACKAGE, (str))
-#define _N(str) dgettext(GETTEXT_PACKAGE, (str))
+#define N_(str) dgettext(GETTEXT_PACKAGE, (str))
 #define gettext_noop(str) (str)
 
 #ifdef __GNUC__
diff --git a/src/virsh.c b/src/virsh.c
--- a/src/virsh.c
+++ b/src/virsh.c
@@ -329,7 +329,7 @@ cmdHelp(vshControl * ctl, vshCmd * cmd)
         vshPrint(ctl, _("Commands:\n\n"));
         for (def = commands; def->name; def++)
             vshPrint(ctl, "    %-15s %s\n", def->name,
-                     _N(vshCmddefGetInfo(def, "help")));
+                     N_(vshCmddefGetInfo(def, "help")));
         return TRUE;
     }
     return vshCmddefHelp(ctl, cmdname, FALSE);
@@ -586,7 +586,7 @@ cmdList(vshControl * ctl, vshCmd * cmd A
         if (virDomainGetInfo(dom, &info) < 0)
             state = _("no state");
         else
-            state = _N(vshDomainStateToString(info.state));
+            state = N_(vshDomainStateToString(info.state));
 
         vshPrint(ctl, "%3d %-20s %s\n",
                  virDomainGetID(dom),
@@ -608,7 +608,7 @@ cmdList(vshControl * ctl, vshCmd * cmd A
         if (virDomainGetInfo(dom, &info) < 0)
             state = _("no state");
         else
-            state = _N(vshDomainStateToString(info.state));
+            state = N_(vshDomainStateToString(info.state));
 
         vshPrint(ctl, "%3s %-20s %s\n", "-", names[i], state);
 
@@ -652,7 +652,7 @@ cmdDomstate(vshControl * ctl, vshCmd * c
 
     if (virDomainGetInfo(dom, &info) == 0)
         vshPrint(ctl, "%s\n",
-                 _N(vshDomainStateToString(info.state)));
+                 N_(vshDomainStateToString(info.state)));
     else
         ret = FALSE;
 
@@ -1388,7 +1388,7 @@ cmdDominfo(vshControl * ctl, vshCmd * cm
 
     if (virDomainGetInfo(dom, &info) == 0) {
         vshPrint(ctl, "%-15s %s\n", _("State:"),
-                 _N(vshDomainStateToString(info.state)));
+                 N_(vshDomainStateToString(info.state)));
 
         vshPrint(ctl, "%-15s %d\n", _("CPU(s):"), info.nrVirtCpu);
 
@@ -1474,7 +1474,7 @@ cmdVcpuinfo(vshControl * ctl, vshCmd * c
             vshPrint(ctl, "%-15s %d\n", _("VCPU:"), n);
             vshPrint(ctl, "%-15s %d\n", _("CPU:"), cpuinfo[n].cpu);
             vshPrint(ctl, "%-15s %s\n", _("State:"),
-                     _N(vshDomainVcpuStateToString(cpuinfo[n].state)));
+                     N_(vshDomainVcpuStateToString(cpuinfo[n].state)));
             if (cpuinfo[n].cpuTime != 0) {
                 double cpuUsed = cpuinfo[n].cpuTime;
 
@@ -2889,8 +2889,8 @@ vshCmddefHelp(vshControl * ctl, const ch
         return FALSE;
     } else {
         vshCmdOptDef *opt;
-        const char *desc = _N(vshCmddefGetInfo(def, "desc"));
-        const char *help = _N(vshCmddefGetInfo(def, "help"));
+        const char *desc = N_(vshCmddefGetInfo(def, "desc"));
+        const char *help = N_(vshCmddefGetInfo(def, "help"));
         const char *syntax = vshCmddefGetInfo(def, "syntax");
 
         fputs(_("  NAME\n"), stdout);
@@ -3827,7 +3827,7 @@ vshUsage(vshControl * ctl, const char *c
 
         for (cmd = commands; cmd->name; cmd++)
             fprintf(stdout,
-                    "    %-15s %s\n", cmd->name, _N(vshCmddefGetInfo(cmd,
+                    "    %-15s %s\n", cmd->name, N_(vshCmddefGetInfo(cmd,
                                                                      "help")));
 
         fprintf(stdout,
--- a/src/virsh.c
+++ b/src/virsh.c
2924c2924
<                 fprintf(stdout, "    %-15s  %s\n", buf, _N(opt->help));
---
>                 fprintf(stdout, "    %-15s  %s\n", buf, N_(opt->help));

